/*
 * nilfs_types.h - NILFS Common Type Declarations.
 *
 * Copyright (C) 2005 Nippon Telegraph and Telephone Corporation.
 *
 * This file is part of NILFS.
 *
 * NILFS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * NILFS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NILFS; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * nilfs_types.h,v 1.2 2006-05-24 05:10:58 ryusuke Exp
 */

#ifndef _NILFS_TYPES_H
#define _NILFS_TYPES_H

/* 
 * NILFS common type definition
 *
 * Start definitions.
 * Some of these will be widen to 64-bit-width in future
 */
typedef unsigned long dbn_t;  /* disk block number */
typedef unsigned long fbn_t;  /* file block number */

typedef unsigned long segnum_t;  /* segment number */

#endif /* _NILFS_TYPES_H */
